#include <Eigen/Dense>

#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>

#include "spdlog/spdlog.h"
#include "spdlog/fmt/ostr.h" // github.com/gabime/spdlog/issues/1638

using namespace Eigen;
using namespace cv;

int main(int argc, char* argv[]) {
  spdlog::info("Hello, world.");

  MatrixXd m(2,2);
  m(0,0) = 3;
  m(1,0) = 2.5;
  m(0,1) = -1;
  m(1,1) = m(1,0) + m(0,1);
  spdlog::info("\n{}", m);

  return 0;
}
